CREATE TABLE gtg_ts_commonlookups (
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    AT1                              VARCHAR2(600),
    AT10                             VARCHAR2(600),
    AT11                             VARCHAR2(600),
    AT12                             VARCHAR2(600),
    AT13                             VARCHAR2(600),
    AT14                             VARCHAR2(600),
    AT15                             VARCHAR2(600),
    AT2                              VARCHAR2(600),
    AT3                              VARCHAR2(600),
    AT4                              VARCHAR2(600),
    AT5                              VARCHAR2(600),
    AT6                              VARCHAR2(600),
    AT7                              VARCHAR2(600),
    AT8                              VARCHAR2(600),
    AT9                              VARCHAR2(600),
    ATTRIBUTECAT                     VARCHAR2(120),
    CODE                             VARCHAR2(120),
    CUSTOMIZATION_LEVEL              VARCHAR2(4)  ,
    DISPLAY_SEQUENCE                 NUMBER(18, 0),
    ENABLED_FLAG                     VARCHAR2(4)  ,
    END_DATE_ACTIVE                  DATE         ,
    ENTERPRISEID                     NUMBER(18, 0),
    FNDLOOKUPTYPESTL_CB              VARCHAR2(256),
    FNDLOOKUPTYPESTL_CD              TIMESTAMP(6) ,
    FNDLOOKUPTYPESTL_LUB             VARCHAR2(256),
    FNDLOOKUPTYPESTL_LUD             TIMESTAMP(6) ,
    FNDLOOKUPTYPES_CB                VARCHAR2(256),
    FNDLOOKUPTYPES_CD                TIMESTAMP(6) ,
    FNDLOOKUPTYPES_LUB               VARCHAR2(256),
    FNDLOOKUPTYPES_LUD               TIMESTAMP(6) ,
    FNDLOOKUPVALUESB_CB              VARCHAR2(256),
    FNDLOOKUPVALUESB_CD              TIMESTAMP(6) ,
    FNDLOOKUPVALUESB_LUB             VARCHAR2(256),
    FNDLOOKUPVALUESB_LUD             TIMESTAMP(6) ,
    FNDLOOKUPVALUESTL_CB             VARCHAR2(256),
    FNDLOOKUPVALUESTL_CD             TIMESTAMP(6) ,
    FNDLOOKUPVALUESTL_LUB            VARCHAR2(256),
    FNDLOOKUPVALUESTL_LUD            TIMESTAMP(6) ,
    LANGUAGECOLUMN                   VARCHAR2(16) ,
    LOOKUP_CODE                      VARCHAR2(120),
    MODULEID                         VARCHAR2(128),
    REFERENCE_GROUP_NAME             VARCHAR2(120),
    SANDBOXID                        VARCHAR2(240),
    SETID                            NUMBER(18, 0),
    SI                               NUMBER(18, 0),
    START_DATE_ACTIVE                DATE         ,
    TAG                              VARCHAR2(600),
    TERRITORY_CODE                   VARCHAR2(8)  ,
    TYPE                             VARCHAR2(120),
    TYPES_TL_DESCRIPTION             VARCHAR2(960),
    TYPES_TL_ENTERPRISE_ID           NUMBER(18, 0),
    TYPES_TL_LOOKUP_TYPE             VARCHAR2(120),
    TYPES_TL_MEANING                 VARCHAR2(320),
    TYPES_TL_SANDBOX_ID              VARCHAR2(240),
    TYPES_TL_VIEW_APPLICATION_ID     NUMBER(18, 0),
    VALUES_B_ENTERPRISE_ID           NUMBER(18, 0),
    VALUES_B_LOOKUP_TYPE             VARCHAR2(120),
    VALUES_B_SANDBOX_ID              VARCHAR2(240),
    VALUES_B_VIEW_APPLICATION_ID     NUMBER(18, 0),
    VALUES_TL_DESCRIPTION            VARCHAR2(960),
    VALUES_TL_ENTERPRISE_ID          NUMBER(18, 0),
    VALUES_TL_LOOKUP_TYPE            VARCHAR2(120),
    VALUES_TL_MEANING                VARCHAR2(320),
    VALUES_TL_SANDBOX_ID             VARCHAR2(240),
    VALUES_TL_VIEW_APPLICATION_ID    NUMBER(18, 0),
    VWAPPID                          NUMBER(18, 0),
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    AT1                              VARCHAR2(600),
    AT10                             VARCHAR2(600),
    AT11                             VARCHAR2(600),
    AT12                             VARCHAR2(600),
    AT13                             VARCHAR2(600),
    AT14                             VARCHAR2(600),
    AT15                             VARCHAR2(600),
    AT2                              VARCHAR2(600),
    AT3                              VARCHAR2(600),
    AT4                              VARCHAR2(600),
    AT5                              VARCHAR2(600),
    AT6                              VARCHAR2(600),
    AT7                              VARCHAR2(600),
    AT8                              VARCHAR2(600),
    AT9                              VARCHAR2(600),
    ATTRIBUTECAT                     VARCHAR2(120),
    CODE                             VARCHAR2(120),
    CUSTOMIZATION_LEVEL              VARCHAR2(4)  ,
    DISPLAY_SEQUENCE                 NUMBER(18, 0),
    ENABLED_FLAG                     VARCHAR2(4)  ,
    END_DATE_ACTIVE                  DATE         ,
    ENTERPRISEID                     NUMBER(18, 0),
    FNDLOOKUPTYPESTL_CB              VARCHAR2(256),
    FNDLOOKUPTYPESTL_CD              TIMESTAMP(6) ,
    FNDLOOKUPTYPESTL_LUB             VARCHAR2(256),
    FNDLOOKUPTYPESTL_LUD             TIMESTAMP(6) ,
    FNDLOOKUPTYPES_CB                VARCHAR2(256),
    FNDLOOKUPTYPES_CD                TIMESTAMP(6) ,
    FNDLOOKUPTYPES_LUB               VARCHAR2(256),
    FNDLOOKUPTYPES_LUD               TIMESTAMP(6) ,
    FNDLOOKUPVALUESB_CB              VARCHAR2(256),
    FNDLOOKUPVALUESB_CD              TIMESTAMP(6) ,
    FNDLOOKUPVALUESB_LUB             VARCHAR2(256),
    FNDLOOKUPVALUESB_LUD             TIMESTAMP(6) ,
    FNDLOOKUPVALUESTL_CB             VARCHAR2(256),
    FNDLOOKUPVALUESTL_CD             TIMESTAMP(6) ,
    FNDLOOKUPVALUESTL_LUB            VARCHAR2(256),
    FNDLOOKUPVALUESTL_LUD            TIMESTAMP(6) ,
    LANGUAGECOLUMN                   VARCHAR2(16) ,
    LOOKUP_CODE                      VARCHAR2(120),
    MODULEID                         VARCHAR2(128),
    REFERENCE_GROUP_NAME             VARCHAR2(120),
    SANDBOXID                        VARCHAR2(240),
    SETID                            NUMBER(18, 0),
    SI                               NUMBER(18, 0),
    START_DATE_ACTIVE                DATE         ,
    TAG                              VARCHAR2(600),
    TERRITORY_CODE                   VARCHAR2(8)  ,
    TYPE                             VARCHAR2(120),
    TYPES_TL_DESCRIPTION             VARCHAR2(960),
    TYPES_TL_ENTERPRISE_ID           NUMBER(18, 0),
    TYPES_TL_LANGUAGE                VARCHAR2(16) ,
    TYPES_TL_LOOKUP_TYPE             VARCHAR2(120),
    TYPES_TL_MEANING                 VARCHAR2(320),
    TYPES_TL_SANDBOX_ID              VARCHAR2(240),
    TYPES_TL_VIEW_APPLICATION_ID     NUMBER(18, 0),
    VALUES_B_ENTERPRISE_ID           NUMBER(18, 0),
    VALUES_B_LOOKUP_TYPE             VARCHAR2(120),
    VALUES_B_SANDBOX_ID              VARCHAR2(240),
    VALUES_B_VIEW_APPLICATION_ID     NUMBER(18, 0),
    VALUES_TL_DESCRIPTION            VARCHAR2(960),
    VALUES_TL_ENTERPRISE_ID          NUMBER(18, 0),
    VALUES_TL_LANGUAGE               VARCHAR2(120),
    VALUES_TL_LOOKUP_TYPE            VARCHAR2(120),
    VALUES_TL_MEANING                VARCHAR2(320),
    VALUES_TL_SANDBOX_ID             VARCHAR2(240),
    VALUES_TL_VIEW_APPLICATION_ID    NUMBER(18, 0),
    VWAPPID                          NUMBER(18, 0),
    CONSTRAINT pk_gtg_ts_commonlookups PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
